PTHREAD_CONDATTR(3)

NAME
pthread_condattr_init - condition attribute operations

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_condattr_init(pthread_condattr_t *attr);
int
pthread_condattr_destroy(pthread_condattr_t *attr);

DESCRIPTION
Condition attribute objects are used to specify parameters to the pthread_cond_init(3) function. The pthread_condattr_init() function initializes a condition attribute object with the default attributes and the pthread_condattr_destroy() function destroys a condition attribute object.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
No errors are defined for pthread_condattr_init().

The pthread_condattr_destroy() function may fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_cond_init(3)

STANDARDS
Both functions conform to p1003.1-2001.

CAVEATS
The usefulness of the functions is questionable as the NetBSD implementation does not support any non-default attributes. These functions do not conform to the p1003.1-2008 revision of the standard, which mandates two additional attributes, the clock attribute and the process-shared attribute.